Bug 202072

Summary: remove ports polarssl from emulators/dolphin-emu
Product: Ports & Packages Reporter: Anonymous <freebsd>
Component: Individual Port(s)Assignee: Ganael LAPLANCHE <martymac>
Status: Closed Not Accepted    
Severity: Affects Only Me CC: tijl
Priority: --- Flags: bugzilla: maintainer-feedback? (martymac)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
teh patch file none

Description Anonymous 2015-08-04 09:47:22 UTC
Created attachment 159517 [details]
teh patch file

Remove the port dep for polarssl, have dolphin use it's own.
Comment 1 Tijl Coosemans freebsd_committer 2015-08-04 10:38:49 UTC
The bundled polarssl is old and has known vulnerabilities.
Comment 2 Ganael LAPLANCHE freebsd_committer 2015-08-04 16:00:25 UTC
Hi Chris,

Thanks for your submission. Unfortunately, Tijl is right : I don't think using internal polarssl is the way to go since it is quite old now and will suffer from the same security flaws as the version from ports.

If dolphin-emu is the only port that prevents you from updating polarssl in ports, then you can proceed. If necessary, I'll mark the dolphin-emu port as BROKEN while waiting for dolphin-emu 5.0 to be released (which should happen soon by now).

Thanks again,
Regards,
Ganael.